Skip to main content
`Ctrl`+`K`

# PCGASMSetTotalSubdomains

sets the total number of subdomains to use across the communicator for `PCGASM`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGASMSetTotalSubdomains(PC pc, PetscInt N)

Logically Collective

## Input Parameters

- pc - the preconditioner

- N - total number of subdomains

## See Also

KSP: Linear System Solvers, `PCGASM`, `PCGASMSetSubdomains()`, `PCGASMSetOverlap()` `PCGASMCreateSubdomains2D()`

## Level

beginner

## Location

src/ksp/pc/impls/gasm/gasm.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages